Author Topic: Authorize.net Requirements  (Read 3469 times)

Offline MessEleven

  • Jr. Member
  • **
  • Posts: 52
  • Karma: +8/-0
    • View Profile
Authorize.net Requirements
« on: December 19, 2017, 02:31:50 PM »
After February 28, 2018, Authorize.net will no longer recognize TLS 1.0 or TLS 1.1. The system will only accept TLS 1.2. Is the current Authorize extension (AIM) compliant with this requirement?

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1817
  • Karma: +267/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Authorize.net Requirements
« Reply #1 on: December 19, 2017, 02:41:45 PM »
Support of TLS versions relates to openSSL library that works under php.
AbanteCart extensions uses curl for connection to payment gateways and curl uses openssl for connection encryption.
To know is your openssl supports TLS 1.2 check it's changelog

“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline MessEleven

  • Jr. Member
  • **
  • Posts: 52
  • Karma: +8/-0
    • View Profile
Re: Authorize.net Requirements
« Reply #2 on: December 19, 2017, 05:37:52 PM »
So please correct me if I misunderstand this. What you're saying is that the Authorize extension (AIM) is related to the changelog you gave me, which says it's not up to 1.2 at this point. That means the gateway will not work after February. Correct?

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1817
  • Karma: +267/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Authorize.net Requirements
« Reply #3 on: December 20, 2017, 05:43:47 AM »
No. Cause with TLS is NOT in Authorize.net extension. It's in connection encryption.
You should to check your openSSL library TLS support.

Just go to admin->settings->system and click button PHP info at the heading.
Then find version of OpenSSL and check it in change log i gave.
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline MessEleven

  • Jr. Member
  • **
  • Posts: 52
  • Karma: +8/-0
    • View Profile
Re: Authorize.net Requirements
« Reply #4 on: December 20, 2017, 11:34:50 AM »
Thanks for your quick response! Unfortunately, when I click PHP Info, I only get a blank page. Nothing else loads.

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1817
  • Karma: +267/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Authorize.net Requirements
« Reply #5 on: December 20, 2017, 12:02:56 PM »
probably your hosting providers blocked this functionality. You can ask them or try to find phpinfo inside your CPanel account
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline MessEleven

  • Jr. Member
  • **
  • Posts: 52
  • Karma: +8/-0
    • View Profile
Re: Authorize.net Requirements
« Reply #6 on: December 20, 2017, 12:07:09 PM »
Ok, will do. Thanks again!

Offline llegrand

  • Hero Member
  • *****
  • Posts: 1536
  • Karma: +414/-3
    • View Profile
Re: Authorize.net Requirements
« Reply #7 on: December 20, 2017, 03:11:55 PM »
It occurs to me you may have some confusion about what TLS is - here's a link to an article that explains it well
http://www.hostingadvice.com/how-to/tls-vs-ssl/

and there are many ssl/tls checkers available online to see what your server is reporting - 
https://geekflare.com/ssl-test-certificate/
lists several

I use this one alot

https://sslanalyzer.comodoca.com/

or this one with a bit more in depth  details.

https://www.htbridge.com/ssl/

 

Powered by SMFPacks Social Login Mod